* Simulationsdaten fr das Beispiel "Durchblutungsstrungen".

set seed = 555.
input program.
+ loop #i = 1 to 200.
-  compute hilf = normal(1).
-  compute abwig = rnd(-1*hilf * 9 + normal(9)).
-  compute beweg = hilf * 0.6 + normal(0.8).
-  recode beweg (lo thru -2 = 1) (-2 thru -1 = 2) (-1 thru 0 = 3)
                (0 thru 1 = 4) (1 thru 2 = 5) (2 thru hi = 6).
-  compute druck = rnd(80 - 6*hilf + (normal(1)**2+normal(1)**2+normal(1)**2+
                   normal(1)**2+normal(1)**2+normal(1)**2 - 5)*7).
-  compute stress = normal(0.7) - hilf * 0.7.
-  recode stress (lo thru -2 = 1) (-2 thru -1 = 2) (-1 thru 0 = 3)
                 (0 thru 1 = 4) (1 thru 2 = 5) (2 thru hi = 6).
-  compute erbe = uniform(1).
-  recode erbe (0 thru 0.3 = 1) (0.3 thru 1 = 0).
-  compute raucher = normal(0.7) - hilf * 0.7.
-  recode raucher (lo thru 0.1 = 3) (0.1 thru 0.7 = 2) (0.7 thru hi = 1).
-  do if (raucher = 3).
-    compute raucheff = 0.
-  else if (raucher = 2).
-    compute raucheff = 1.
-  else if (raucher = 1).
-    compute raucheff = 4.
-  end if.
* resid besitzt eine logistische Verteilung.
-  compute resid = idf.logistic(uniform(1), 0, 1).
-  compute bed_erw = -4  + 0.06 * abwig - 0.75 * beweg  +  0.033 * druck + 1.1 * stress +
                       1.55 * erbe + raucheff .
- compute latent = bed_erw + 1.5* resid.
-  compute dbs = (latent > 1).
-  do if (latent <= 1).
-    compute dbs3 = 0.
-  else if (latent <= 5).
-    compute dbs3 = 1.
-  else.
-    compute dbs3 = 2.
-  end if.
-  end case.
+ end loop.
+ end file.
end input program.

compute nr = $casenum.
compute auswahl = (uniform(1) <= 0.7).

variable labels nr 'Fallnummer'.
variable labels auswahl 'Fallauswahl fr Kreuzvalidierung'.
variable labels abwig 'Abweichung vom Idealgewicht'. 
variable labels beweg 'Krperliche Bewegung'. 
variable labels druck 'Diastolischer Blutdruck'. 
variable labels stress 'Stress'. 
variable labels erbe 'Erbliche Belastung'.
variable labels raucher 'Raucher'.

variable labels dbs 'Durchblutungsstrungen (binr)'.
variable labels dbs3 'Durchblutungsstrungen (ordinal)'.

value labels erbe 0 'Unbelastet' 1 'Belastet'.
value labels raucher 1 'Raucher' 2 'Ehem. Raucher'  3 'Nichtraucher'.
value labels dbs auswahl 0 'Nein' 1 'Ja'.
value labels dbs3 0 'Nein' 1 'Peripher' 2 'Koronar'.

formats  beweg, stress to raucheff dbs dbs3 auswahl (f1.0) abwig (f2.0) nr druck (f3.0).
variable width  nr abwig to raucher dbs dbs3 auswahl (5).
variable level  nr erbe dbs auswahl (nominal) /raucher dbs3 (ordinal) /abwig beweg druck stress (scale).
variable role
  /input  abwig beweg druck stress erbe raucher
  /target  dbs dbs3
  /none nr.

save  outfile='dbs.sav'
 /keep = nr abwig to raucher dbs dbs3 auswahl.


* BLR ohne RAUCHER.
LOGISTIC REGRESSION VAR=dbs
  /METHOD=ENTER abwig beweg
  /SAVE PRED PGROUP COOK SRESID
  /CRITERIA PIN(.05) POUT(.10) ITERATE(20) CUT(.5) .

* BLR mit RAUCHER.
LOGISTIC REGRESSION VAR=dbs
  /METHOD=ENTER abwig beweg druck stress erbe raucher
  /CONTRAST (raucher)=Indicator
  /SAVE PRED PGROUP COOK SRESID
  /CRITERIA PIN(.05) POUT(.10) ITERATE(20) CUT(.5) .

* OLR.
PLUM
  dbs3  BY raucher  WITH abwig beweg druck stress erbe
  /CRITERIA = CIN(95) DELTA(0) LCONVERGE(0) MXITER(100) MXSTEP(5)
  PCONVERGE(1.0E-6) SINGULAR(1.0E-8)
  /LINK = LOGIT
  /PRINT = FIT PARAMETER SUMMARY .

* OLR mit simult. Test fr alle RAUCHER-Kodiervariablen.
PLUM
  dbs3  BY raucher  WITH abwig beweg druck stress erbe
  /CRITERIA = CIN(95) DELTA(0) LCONVERGE(0) MXITER(100) MXSTEP(5)
  PCONVERGE(1.0E-6) SINGULAR(1.0E-8)
  /LINK = LOGIT
  /PRINT = FIT PARAMETER SUMMARY TPARALLEL
  /SAVE = PREDCAT 
  /TEST (0, 0) = ALL 0 0 0 0 0 0 0 1 0 0;
                 ALL 0 0 0 0 0 0 0 0 1 0.

* MLR.
NOMREG
  dbs3  BY raucher  WITH abwig beweg druck stress erbe
  /CRITERIA CIN(95) DELTA(0) MXITER(100) MXSTEP(5) CHKSEP(20) LCONVERGE(0)
  PCONVERGE(0.000001) SINGULAR(0.00000001)
  /MODEL
  /INTERCEPT INCLUDE
  /PRINT PARAMETER SUMMARY LRT .

*  Lineare Regression.
UNIANOVA
  dbs3  BY raucher  WITH abwig beweg druck stress erbe
  /METHOD = SSTYPE(3)
  /INTERCEPT = INCLUDE
  /CRITERIA = ALPHA(.05)
  /DESIGN = abwig beweg druck stress erbe raucher .

* OLR-Modell ber zwei Dichtotomisierungen.
COMPUTE DBS2a = (DBS3 <= 0) .
LOGISTIC REGRESSION VAR=dbs2a
  /METHOD=ENTER abwig beweg druck stress erbe raucher
  /CONTRAST (raucher)=Indicator(1)
  /PRINT=GOODFIT
  /CRITERIA PIN(.05) POUT(.10) ITERATE(20) CUT(.5) .
COMPUTE DBS2b = (DBS3 <= 1) .
LOGISTIC REGRESSION VAR=dbs2a
  /METHOD=ENTER abwig beweg druck stress erbe raucher
  /CONTRAST (raucher)=Indicator(1)
  /PRINT=GOODFIT
  /CRITERIA PIN(.05) POUT(.10) ITERATE(20) CUT(.5) .





