* Simulationsdaten mit Lokations-Skalen - Modell.

set seed = 12.
input program.
+ loop #i = 1 to 500.
-  compute wurzel = UNIFORM(1).
-  compute x = TRUNC(wurzel*5 + UNIFORM(5)) + 1.
-  compute g = (wurzel + 3*UNIFORM(1)) > 2.
* Das Residuum besitzt eine logistische Verteilung.
- compute latent = x + g + RV.LOGISTIC(0, exp(1 * g)).
* - compute latent = 1 * x + RV.LOGISTIC(0, 1).
-  do if (latent <= 2).
-    compute y = 1.
-  else if (latent <= 5).
-    compute y = 2.
-  else if (latent <= 6).
-    compute y = 3.
-  else if (latent <= 7).
-    compute y = 4.
-  else.
-    compute y = 5.
-  end if.
-  end case.
+ end loop.
+ end file.
end input program.

formats  x (f1.0) y (f2.0).
variable width  x (3) y (5).
variable level  y (nominal) /x (scale).
variable role
  /input  x
  /target  y.

FREQUENCIES VARIABLES=x y g
  /STATISTICS=STDDEV VARIANCE MEAN MEDIAN
  /BARCHART FREQ
  /ORDER=ANALYSIS.

T-TEST GROUPS=g(0 1)
  /MISSING=ANALYSIS
  /VARIABLES=x
  /CRITERIA=CI(.95).

formats  x g (f1.0) y (f2.0).
variable width  x g (3) y (5).
variable level  g (nominal) /y (ordinal) /x (scale).
variable role
  /input  x g
  /target  y.

save  outfile='U:\Eigene Dateien\SPSS\ls.sav'
 /keep = x g y.


* OLR ohne Skalenmodell.
PLUM
  y  WITH x g
  /CRITERIA = CIN(95) DELTA(0) LCONVERGE(0) MXITER(100) MXSTEP(5)
  PCONVERGE(1.0E-6) SINGULAR(1.0E-8)
  /LINK = LOGIT
  /PRINT = FIT PARAMETER SUMMARY .

* OLR mit Skalenmodell.
PLUM y WITH x g
  /CRITERIA=CIN(95) DELTA(0) LCONVERGE(0) MXITER(100) MXSTEP(5) PCONVERGE(1.0E-6) SINGULAR(1.0E-8)
  /LINK=LOGIT
  /PRINT=FIT PARAMETER SUMMARY
  /SCALE=g .

